Bug 1676140 - thrift: FTBFS in Fedora 30: ambiguous python shebang in /usr/lib/python3.7/site-packages/fb303/FacebookBase.py: #!/usr/bin/env python. Change it to python3 (or python2) explicitly.
Summary: thrift: FTBFS in Fedora 30: ambiguous python shebang in /usr/lib/python3.7/si...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: thrift
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Will Benton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS PYTHON38 F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-02-11 22:14 UTC by Fedora Release Engineering
Modified: 2019-08-08 16:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 16:45:02 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 22:14 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 22:14 UTC, Fedora Release Engineering
no flags Details
state.log (625 bytes, text/plain)
2019-02-11 22:14 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 22:14:01 UTC
thrift failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32503396


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix thrift at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
thrift will be orphaned. Before branching of Fedora 31,
thrift will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 22:14:04 UTC
Created attachment 1533379 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 22:14:05 UTC
Created attachment 1533380 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 22:14:07 UTC
Created attachment 1533381 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:33:42 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Miro Hrončok 2019-05-02 10:20:54 UTC
This blocks the Python 3.8 rebuild. The error is:

+ /usr/lib/rpm/redhat/brp-mangle-shebangs
*** ERROR: ambiguous python shebang in /usr/lib/python3.8/site-packages/fb303/FacebookBase.py: #!/usr/bin/env python. Change it to python3 (or python2) explicitly.
*** ERROR: ambiguous python shebang in /usr/lib/python3.8/site-packages/fb303_scripts/fb303_simple_mgmt.py: #!/usr/bin/env python. Change it to python3 (or python2) explicitly.
error: Bad exit status from /var/tmp/rpm-tmp.cSzAgw (%install)

Comment 6 Christopher Tubbs 2019-05-06 21:30:38 UTC
Going to try to find time to work on this.

Comment 8 Miro Hrončok 2019-07-09 14:48:39 UTC
This has been ASSIGNED for 2 months now with no change.

Comment 9 Christopher Tubbs 2019-07-10 21:23:04 UTC
Yeah, sorry, I haven't had time. Keeping up with all the changes re: python and java in F30 have been a bit overwhelming. I may have to orphan this package if I can't find time to maintain it.

Comment 10 Fedora Release Engineering 2019-08-08 16:45:02 UTC
The package was retired.


Note You need to log in before you can comment on or make changes to this bug.